MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector Interface Reference

## Public Member Functions
float[] | ReadVectorValues (EAxis axis)
| Returns list of vector values
void | WriteVectorValues (EAxis axis, float[] values)
| Sets list of vector values
EUnitType | ReadUnitType (EAxis axis)
| Returns vector unit type.
void | WriteUnitType (EAxis axis, EUnitType unit)
| Sets vector unit type.
bool | IsRunning (EAxis axis)
| Returns status of signal generator (running, stopped).
void | SwitchArbitraryVector (EAxis axis, bool running)
| Sets status of signal generator (running, stopped).
float | ReadSampleRate (EAxis axis)
| Returns sample rate in Hz.
void | WriteSampleRate (EAxis axis, float value)
| Sets sample rate in Hz.
float | ReadMinimumSamplingRate (EAxis axis)
| Returns minimum sampling rate in Hz.
float | ReadMaximumSamplingRate (EAxis axis)
| Returns maximum sampling rate in Hz.
int | ReadCycles (EAxis axis)
| Returns Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.
void | WriteCycles (EAxis axis, int cycles)
| Sets Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.
EExternalTriggerType | ReadExternalTrigger (EAxis axis)
| Returns flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.
void | WriteExternalTrigger (EAxis axis, EExternalTriggerType trigger)
| Sets flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.

## Member Function Documentation

## ◆ IsRunning()

bool MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector.IsRunning | ( | EAxis | axis | ) |

Returns status of signal generator (running, stopped).

Returns

## ◆ ReadCycles()

int MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector.ReadCycles | ( | EAxis | axis | ) |

Returns Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.

Returns

## ◆ ReadExternalTrigger()

EExternalTriggerType MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector.ReadExternalTrigger | ( | EAxis | axis | ) |

Returns flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.

Returns

## ◆ ReadMaximumSamplingRate()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector.ReadMaximumSamplingRate | ( | EAxis | axis | ) |

Returns maximum sampling rate in Hz.

Returns

## ◆ ReadMinimumSamplingRate()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector.ReadMinimumSamplingRate | ( | EAxis | axis | ) |

Returns minimum sampling rate in Hz.

Returns

## ◆ ReadSampleRate()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector.ReadSampleRate | ( | EAxis | axis | ) |

Returns sample rate in Hz.

Returns

## ◆ ReadUnitType()

EUnitType MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector.ReadUnitType | ( | EAxis | axis | ) |

Returns vector unit type.

Returns

## ◆ ReadVectorValues()

float[] MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector.ReadVectorValues | ( | EAxis | axis | ) |

Returns list of vector values

Returns

## ◆ SwitchArbitraryVector()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector.SwitchArbitraryVector | ( | EAxis | axis,
|  | bool | running )

Sets status of signal generator (running, stopped).

Returns

## ◆ WriteCycles()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector.WriteCycles | ( | EAxis | axis,
|  | int | cycles )

Sets Number of cycles to be generated. Arbitrary vector is stopped after completion. Negative value corresponds to infinite looping.

Returns

## ◆ WriteExternalTrigger()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector.WriteExternalTrigger | ( | EAxis | axis,
|  | EExternalTriggerType | trigger )

Sets flag. If true, turning on the Vector Pattern Unit can be synchronized with an external signal.

Returns

## ◆ WriteSampleRate()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector.WriteSampleRate | ( | EAxis | axis,
|  | float | value )

Sets sample rate in Hz.

Returns

## ◆ WriteUnitType()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector.WriteUnitType | ( | EAxis | axis,
|  | EUnitType | unit )

Sets vector unit type.

Returns

## ◆ WriteVectorValues()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.InputStage.IMre2ArbitraryVector.WriteVectorValues | ( | EAxis | axis,
|  | float[] | values )

Sets list of vector values

Parameters

  axis | Axis
  values | List of vector values
  startIndex |

Returns

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/SignalFlowManager/InputStage/IMre2ArbitraryVector.cs